package cn.superdesk.uniorder.dao.mapper.marketing;

import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirt;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirtExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedStatisticsVirtMapper {
    long countByExample(UnifiedStatisticsVirtExample example);

    int deleteByExample(UnifiedStatisticsVirtExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedStatisticsVirt record);

    int insertSelective(UnifiedStatisticsVirt record);

    List<UnifiedStatisticsVirt> selectByExample(UnifiedStatisticsVirtExample example);

    UnifiedStatisticsVirt selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedStatisticsVirt record, @Param("example") UnifiedStatisticsVirtExample example);

    int updateByExample(@Param("record") UnifiedStatisticsVirt record, @Param("example") UnifiedStatisticsVirtExample example);

    int updateByPrimaryKeySelective(UnifiedStatisticsVirt record);

    int updateByPrimaryKey(UnifiedStatisticsVirt record);
}